Page MenuHomePhabricator

Add remaining KPIs to Overview once available in kibana
Closed, DeclinedPublic

Description

Followup task to T100978

Add remaining KPIs from T94578 to https://wikimedia.biterg.io/app/kibana#/dashboard/Overview once they are available as data in kibana itself:

  • Median age of open changesets waiting for review -- blocked on T151557
  • Number of open changesets waiting for review -- "NEW Changeset Statistics" (gerrit_main_numbes_new_changesets_statistics) on "Gerrit Backlog" dashboard. TODO: Copy widget to Overview.
  • Number of new changesets submitted per month -- covered by "Changesets" (gerrit_evolutionary_changesets). Already on Overview.
  • Number of code uploaders per month -- covered by "Changeset Submitters" (Change-submitters-per-month__gerrit_enrich). Already on Overview.
  • Number of code reviewers per month -- blocked on T151559
  • Number of code committers per month -- blocked on T151558
  • Number of active users in Phabricator per month -- blocked on T138002

Related Objects

Event Timeline

Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: wikimedia.biterg.io.
Aklapper added a subscriber: Aklapper.
Aklapper lowered the priority of this task from Low to Lowest.Nov 9 2015, 12:40 PM
Aklapper changed the task status from Open to Stalled.May 30 2016, 9:11 AM
Aklapper renamed this task from Add remaining KPIs to kpi_overview.html once available in korma to Add remaining KPIs to Overview once available in kibana.Nov 20 2016, 6:55 PM
Aklapper updated the task description. (Show Details)
Aklapper set Security to None.
Aklapper added a comment.EditedMar 16 2017, 5:55 PM

KPIs we've listed in past quarterly slides are:

  • Median age of open changesets waiting for review -- T151557
  • Median age of open changesets waiting for review (MediaWiki core)
  • Number of open changesets waiting for review -- "NEW Changeset Statistics" on "Gerrit Backlog" dashboard
  • Number of open changesets waiting for review (MediaWiki core)
  • Number of new changesets submitted per month -- covered by gerrit_evolutionary_changesets.
  • Number of code uploaders per month -- covered by Change-submitters-per-month__gerrit_enrich.
  • Number of code reviewers per month -- T151559
  • Number of code committers per month -- T151558
  • Number of active users in Phabricator per month -- blocked on T138002
  • Number of new accounts in Phabricator per month

(those three crossed out are the ones I've dropped for FY2016-17 Q2.)

This is currently waiting on Bitergia's deploying their updated "code review" backend in Kibiter/ES.
After that we can check how hard it will be to get those stats that we had in korma also on https://wikimedia.biterg.io...

Aklapper updated the task description. (Show Details)Mar 24 2017, 2:20 PM
Aklapper closed this task as Declined.Jul 13 2017, 1:12 PM

I'm declining this task as I don't consider the missing old KPIs particularly useful. One outcome / side effect of T160430 was the creation of https://meta.wikimedia.org/wiki/Technical_Collaboration/Metrics and dropping some metrics that were KPIs previously. I don't see much gain by having them on the Overview page.